OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Static Public Member Functions
SQConvert::HelperT< Tretval(Tcls::*)(), true > Struct Template Reference

The real C++ caller for method with no return value and 0 params. More...

`#include <squirrel_helper.hpp>`

## Static Public Member Functions
static int | SQCall (Tcls *instance, Tretval(Tcls::*func)(), HSQUIRRELVM vm)
static Tcls * | SQConstruct (Tcls *instance, Tretval(Tcls::*func)(), HSQUIRRELVM vm)

## Detailed Description

### template<class Tcls, typename Tretval>
struct SQConvert::HelperT< Tretval(Tcls::*)(), true >

The real C++ caller for method with no return value and 0 params.

Definition at line 203 of file squirrel_helper.hpp.

The documentation for this struct was generated from the following file:

- src/script/squirrel_helper.hpp